diff -Naur xdgmime-e861d3eb3d522a9c22c5a870526728e2a3d9fc04-orig/fuzzing/setup.h xdgmime-e861d3eb3d522a9c22c5a870526728e2a3d9fc04/fuzzing/setup.h
--- xdgmime-e861d3eb3d522a9c22c5a870526728e2a3d9fc04-orig/fuzzing/setup.h	2024-04-15 23:38:47.000000000 +0800
+++ xdgmime-e861d3eb3d522a9c22c5a870526728e2a3d9fc04/fuzzing/setup.h	2024-07-15 08:01:15.999994705 +0800
@@ -6,6 +6,17 @@
 
 #include <stddef.h>
 
+#ifndef TEMP_FAILURE_RETRY
+#define TEMP_FAILURE_RETRY(expression)                                         \
+  (__extension__({                                                             \
+    long int __result;                                                         \
+    do                                                                         \
+      __result = (long int)(expression);                                       \
+    while (__result == -1L && errno == EINTR);                                 \
+    __result;                                                                  \
+  }))
+#endif
+
 void fuzz_teardown (int working_dir_fd);
 int fuzz_setup (const unsigned char *data,
                 size_t               data_len,
